Bug 77252 - fc-cache -fr throws an unexpected error
Summary: fc-cache -fr throws an unexpected error
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: fc-cache (show other bugs)
Version: 2.11
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Akira TAGOH
QA Contact: Behdad Esfahbod
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-09 20:17 UTC by abmelden22
Modified: 2015-07-30 11:46 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Log with FC_DEBUG=128 (359.24 KB, text/plain)
2014-04-10 08:35 UTC, abmelden22
Details
Log of my second encounter of this behaviour (79.91 KB, text/plain)
2014-06-13 21:22 UTC, abmelden22
Details

Note You need to log in before you can comment on or make changes to this bug.
Description abmelden22 2014-04-09 20:17:08 UTC
I am using Arch Linux x86_64. After the last update of the fontconfig, I wanted to flush the font cache:

# fc-cache -vfrs
/usr/share/fonts: caching, new cache contents: 0 fonts, 56 dirs
/usr/share/fonts/100dpi: caching, new cache contents: 398 fonts, 0 dirs
/usr/share/fonts/75dpi: caching, new cache contents: 398 fonts, 0 dirs
/usr/share/fonts/OTF: caching, new cache contents: 13 fonts, 0 dirs
/usr/share/fonts/TTF: caching, new cache contents: 30 fonts, 0 dirs
/usr/share/fonts/Type1: caching, new cache contents: 29 fonts, 0 dirs
/usr/share/fonts/artwiz-fonts: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/cyrillic: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/encodings: caching, new cache contents: 0 fonts, 1 dirs
/usr/share/fonts/encodings/large: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/envypn: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/kanjistrokeorders: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/local: caching, new cache contents: 36 fonts, 0 dirs
/usr/share/fonts/misc: caching, new cache contents: 75 fonts, 0 dirs
/usr/share/fonts/otf-cantarell-ib: caching, new cache contents: 2 fonts, 0 dirs
/usr/share/fonts/otf-cantoraone-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/otf-heuristica-ib: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/otf-melthofonts-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/otf-oswald-ib: caching, new cache contents: 13 fonts, 0 dirs
/usr/share/fonts/otf-quintessential-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/otf-signika-family-ib: caching, new cache contents: 8 fonts, 0 dirs
/usr/share/fonts/otf-tex-gyre-ib: caching, new cache contents: 33 fonts, 0 dirs
/usr/share/fonts/otf-vollkorn-ib: caching, new cache contents: 8 fonts, 0 dirs
/usr/share/fonts/speedo: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/t1-adobe-utopia-ib: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/t1-bh-ib: caching, new cache contents: 12 fonts, 0 dirs
/usr/share/fonts/t1-cursor-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/t1-dejavu-ib: caching, new cache contents: 21 fonts, 0 dirs
/usr/share/fonts/t1-ibm-courier-ib: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/t1-urw-fonts-ib: caching, new cache contents: 35 fonts, 0 dirs
/usr/share/fonts/ttf-caladea-ib: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/ttf-carlito-ib: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/ttf-chromeos-ib: caching, new cache contents: 12 fonts, 0 dirs
/usr/share/fonts/ttf-courier-prime-ib: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/ttf-ddc-uchen-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/ttf-droid-ib: caching, new cache contents: 29 fonts, 0 dirs
/usr/share/fonts/ttf-gelasio-ib: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/ttf-ipafont-ib: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/ttf-lato-ibx: caching, new cache contents: 12 fonts, 0 dirs
/usr/share/fonts/ttf-liberastika-ib: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/ttf-liberation-ib: caching, new cache contents: 16 fonts, 0 dirs
/usr/share/fonts/ttf-lklug-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/ttf-lohit-oriya-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/ttf-lohit-punjabi-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/ttf-merriweather-ib: caching, new cache contents: 8 fonts, 0 dirs
/usr/share/fonts/ttf-merriweather-sans-ib: caching, new cache contents: 8 fonts, 0 dirs
/usr/share/fonts/ttf-mph-2b-damase-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/ttf-nanum-fonts-ib: caching, new cache contents: 8 fonts, 0 dirs
/usr/share/fonts/ttf-noto-sans-ib: caching, new cache contents: 9 fonts, 0 dirs
/usr/share/fonts/ttf-noto-sans-multilang-ib: caching, new cache contents: 70 fonts, 0 dirs
/usr/share/fonts/ttf-noto-serif-ib: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/ttf-noto-serif-multilang-ib: caching, new cache contents: 8 fonts, 0 dirs
/usr/share/fonts/ttf-opensans-ib: caching, new cache contents: 13 fonts, 0 dirs
/usr/share/fonts/ttf-symbola-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/ttf-tharlon-ib: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/ttf-ubuntu-font-family-ib: caching, new cache contents: 11 fonts, 0 dirs
/usr/share/fonts/ttf-wqy-microhei-ib: caching, new cache contents: 2 fonts, 0 dirs
/usr/share/fonts/util: caching, new cache contents: 0 fonts, 0 dirs
/.local/share/fonts: skipping, no such directory
Re-scanning /usr/share/fonts: /usr/share/fonts: error scanning
Re-scanning /usr/share/fonts/encodings: /usr/share/fonts/encodings: error scanning
/var/cache/fontconfig: cleaning cache directory
/.cache/fontconfig: not cleaning non-existent cache directory
fc-cache: failed
Comment 1 Akira TAGOH 2014-04-10 02:46:59 UTC
what does it say if you run fc-cache with FC_DEBUG=128?
Comment 2 abmelden22 2014-04-10 08:35:36 UTC
Created attachment 97163 [details]
Log with FC_DEBUG=128
Comment 3 Akira TAGOH 2014-04-10 10:29:26 UTC
Thanks.

Fixed in git with one liner patch.

http://cgit.freedesktop.org/fontconfig/commit/?id=f44157c809d280e2a0ce87fb078fc4b278d24a67
Comment 4 abmelden22 2014-06-13 21:22:20 UTC
Created attachment 101015 [details]
Log of my second encounter of this behaviour
Comment 5 abmelden22 2014-06-13 21:23:22 UTC
The bug seems to have re-appeared in version 2.11.1 (see new attachment).
Comment 6 abmelden22 2014-06-13 21:24:21 UTC
I was testing fc-cache on a 32-bit system this time, in case that matters.
Comment 7 Akira TAGOH 2014-06-16 02:32:38 UTC
(In reply to comment #5)
> The bug seems to have re-appeared in version 2.11.1 (see new attachment).

The above fix isn't yet in any released one. please try again with git's or backport a patch.
Comment 8 fanf42 2015-07-30 11:46:49 UTC
It seems that the bug can be workarounded with:

1/ fc-cache -vrf
=> clean cache (and then fail on regeneration) and then then:
2/ fc-cache -vf" 
=> no --really-force the second time, so the parameter is correct in scanDirs that time. 

Hope it helps other.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.